These API events help facilitate real-time, immediate clinical decision support (CDS). CDS hooks are events that are triggered during the provider's workflow, typically appearing as a popup modal or separate iFrame. The most common hooks are triggered upon:
- opening a patient chart
- signing an order
- creating an order
- scheduling
We support these type of hooks that allow you to:
- request a list of supported CDS hooks within the EHR system;
- return a list of supported CDS hooks within the EHR system;
- view context for a patient upon opening or interacting with their chart;
- view context when creating and selecting an order from a list of order types; and
- view order context and insights when signing an order.
Return a list of supported CDS hooks within the EHR system.
This is a response to the Discovery event type.
Request Body Schema
- Metarequired, object
- DataModelrequired, stringReliable
CDSHooks
- EventTyperequired, stringReliable
discovery-response
- EventDateTimestring, nullReliable
Displays the UTC date and time that an outgoing request is delivered or an incoming request is received.
ISO 8601 Format - Testboolean, nullReliable
Indicates whether the request is a test or not.
- Sourceobject
Contains the information for the system initiating the message, including the source ID and name.
Included in messages from Redox- IDstring, nullReliable
Identifies the system initiating the message. If you have multiple OAuth API keys per environment type, this value is required. If you have only one OAuth API key per environment type, or you're using legacy API keys, this value is optional.
UUID - Namestring, nullReliable
Displays the name of the system initiating the message.
- DestinationsArray of object
Contains the information for the endpoint(s) receiving the request. A request must contain at least one destination, but asynchronous requests can have more than one destination. Synchronous requests like queries can only support one destination.
Required when sending data to Redox.- IDstring, nullReliable
Identifies the endpoint that the request is directed to.
UUID - Namestring, nullReliable
Displays the name of the endpoint that the request is directed to.
- LogsArray of object
Contains the log identifier(s) for the request.
- IDstring, nullReliable
Identifies the request log(s) that correspond to this request. You can use this value to locate the relevant log in the Redox dashboard for support and reference.
UUID - AttemptIDstring, nullReliable
Identifies the request log attempt value, which is useful when retries are possible.
UUID
- FacilityCodestring, nullPossible
Code for the facility related to the message.
Only use this field if a health system indicates you should. The code is specific to the health system's EHR and might not be unique across health systems. In general, the facility fields within the data models (e.g. OrderingFacility) are more reliable and informative.
- servicesrequired, Array of object
Describes the CDS service, including its metadata and supported hooks.
- hookrequired, string
Specifies the name of the hook that the CDS service supports, as well as the event in the clinician's workflow that triggers it.
e.g., patient-view, order-sign, etc. - idrequired, string
Contains the unique identifier for the CDS service. This ID is used to reference the CDS service in the EHR system.
- titlestring, nullProbable
Contains a human-readable name for the CDS service. This is displayed to the clinician in the EHR system.
- descriptionstring, nullProbable
Describes what the CDS service does and how it can be used.
- prefetchobject
Defines the FHIR data (e.g.,
Patient,Condition) that the EHR system should retrieve in advance to include in the CDS service request when the event is triggered. This reduces latency by fetching required data ahead of time and ensures that the CDS service has the necessary context to make informed decisions.- {{key}}string, nullProbable
Defines additional fields under the prefetch object, where each key represents a FHIR query defined by the EHR. These queries are used to retrieve data in advance to optimize CDS service performance.
- usageDescriptionstring, nullProbable
Describes how the CDS service should be used, including its intended use case.